Skip to main content
PUT
/
invoices
/
{invoiceId}
cURL
curl --request PUT \
  --url https://api.example.com/invoices/{invoiceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "date": "2023-12-25",
  "currency": "<string>",
  "dueDate": "2023-12-25",
  "items": [
    {
      "quantity": 123,
      "unitAmount": 123,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "sku": "<string>",
      "periodStart": "2023-12-25",
      "periodEnd": "2023-12-25",
      "taxCode": "<string>",
      "discount": {
        "percentage": 123,
        "amount": 123
      }
    }
  ]
}
'
import requests

url = "https://api.example.com/invoices/{invoiceId}"

payload = {
"date": "2023-12-25",
"currency": "<string>",
"dueDate": "2023-12-25",
"items": [
{
"quantity": 123,
"unitAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"sku": "<string>",
"periodStart": "2023-12-25",
"periodEnd": "2023-12-25",
"taxCode": "<string>",
"discount": {
"percentage": 123,
"amount": 123
}
}
]
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
date: '2023-12-25',
currency: '<string>',
dueDate: '2023-12-25',
items: [
{
quantity: 123,
unitAmount: 123,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
sku: '<string>',
periodStart: '2023-12-25',
periodEnd: '2023-12-25',
taxCode: '<string>',
discount: {percentage: 123, amount: 123}
}
]
})
};

fetch('https://api.example.com/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "currency": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "customer": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "handle": "<string>",
    "name": "<string>",
    "billingAddress": {
      "street1": "<string>",
      "street2": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "county": "<string>",
      "country": "<string>",
      "state": "<string>"
    }
  },
  "memo": "<string>",
  "handle": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date": "2023-12-25",
  "dueDate": "2023-12-25",
  "updatedAt": "2023-11-07T05:31:56Z",
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "unitAmount": 123,
      "sku": "<string>",
      "title": "<string>",
      "description": "<string>",
      "periodStart": "2023-12-25",
      "periodEnd": "2023-12-25",
      "amount": 123,
      "taxAmount": 123,
      "tax": {
        "taxable": true,
        "taxCode": "<string>",
        "taxRate": 123
      },
      "discount": {
        "percentage": 123,
        "amount": 123
      }
    }
  ],
  "settlements": [
    {
      "date": "2023-12-25",
      "amount": 123,
      "reference": "<string>",
      "note": "<string>"
    }
  ],
  "totalExclVat": 123,
  "totalVat": 123,
  "totalInclVat": 123,
  "totalDue": 123
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Path Parameters

invoiceId
string<uuid>
required

Body

application/json
date
string<date>
required
currency
string | null
required
dueDate
string<date> | null
items
object[] | null

Response

OK

currency
string | null
required
createdAt
string<date-time>
required
customer
object
required
memo
string | null
read-only
handle
string | null
read-only

Unique invoice number.

status
enum<string>
Available options:
draft,
booked
id
string<uuid>
read-only
date
string<date>
read-only
dueDate
string<date> | null
read-only
updatedAt
string<date-time> | null
items
object[] | null
read-only
settlements
object[] | null
read-only
totalExclVat
integer<int64>
read-only
totalVat
integer<int64>
read-only
totalInclVat
integer<int64>
read-only
totalDue
integer<int64>
read-only
type
enum<string>
Available options:
invoice,
credit_note
settlementStatus
enum<string>
Available options:
settled,
over_settled,
under_settled,
not_settled